EDIT - feature request #3385

install enable and configure WYSIWYG editors be default
04/09/2013 02:23 PM - Andreas Kohlbecker

Status: New Start date:

Priority: Priority 11 Due date:

Assignee: Andreas Kohlbecker % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: normal

Description

install enable and configure WYSIWYG editors by default

e put into installation profile
e existing portals should be updated => update function ?

steps required:

1. enable the wysiwyg modules (see #5913)

2. automatically install TinyMCE > 3.5.11

3. "import" default profile, here we seem to have these options: a. via-the-ctools-expertable-feature;see-also-
https://www.drupal.org/node/624018 now see c. b. export/import directly from the database, see
https://www.drupal.org/node/701608#comment-3740206 c. via the Features module

History

#1 - 06/23/2016 12:18 PM - Andreas Kohlbecker
- Target version changed from cdm_dataportal - Next Major Release to Release 4.3

- Priority changed from New to Priority14

#2 - 06/23/2016 01:53 PM - Andreas Kohlbecker

Using the ctools exportable feature seems to be rather complicated.

Directly operatinng on the database in contrast is quire straight forward:
1. export (e.g.):

drush -1 http://portal.cybertaxonomy.org/flora-cuba/ sql-dump —-tables-list=flora_cuba_wysiwyg
1. copy the INSERT statement from the output

2. apply the insert on the target db:

3.a. in case of the installation profile :
{TABLE_PREFIX}wysiwyg
3.b. to update existing databases:

{TABLE_PREFIX}wysiwyg

#3 - 09/26/2016 10:00 AM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4

#4 - 12/01/2016 02:05 PM - Andreas Miiller

- Target version changed from Release 4.4 to Release 4.5

#5 - 01/19/2017 01:25 PM - Andreas Miiller

- Target version changed from Release 4.5 to Release 4.6
https://dev.e-taxonomy.eu/redmine/issues/5913
https://www.drupal.org/project/ctools
https://www.drupal.org/node/624018
https://www.drupal.org/node/701608#comment-3740206
https://www.drupal.org/project/features

#6 - 03/10/2017 08:51 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#7 - 05/11/2017 10:21 AM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#8 - 07/06/2017 10:15 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#9 - 07/21/2017 10:36 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#10 - 09/24/2017 01:39 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.12

#11 - 12/05/2017 02:23 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#12 - 01/31/2018 12:13 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#13 - 02/15/2018 02:57 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#14 - 05/16/2018 11:18 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#15 - 06/28/2018 12:16 AM - Andreas Muller

- Target version changed from Release 5.1 to Release 5.2

#16 - 08/17/2018 03:54 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#17 - 09/06/2018 11:11 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#18 - 10/23/2018 01:04 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#19 - 01/30/2019 11:30 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#20 - 02/22/2019 04:33 PM - Andreas Kohlbecker
- Description updated
- Priority changed from Priority14 to Priority11

- Target version changed from Release 5.6 to Reviewed Next Major Release

#21 - 02/22/2019 04:33 PM - Andreas Kohlbecker

- Private changed from Yes to No

#22 - 06/18/2020 01:21 PM - Andreas Kohlbecker

- Description updated

The Features apparently has all the functionality needed: "Features focus on the complementary use case of sharing configuration among multiple
sites."

Export module dependencies and configuration setting as feature, which can be installed as any other module
https://www.drupal.org/project/features

Basic introduction: https://www.drupal.org/node/580026

Using features with drush is explained here: https:/www.drupal.org/docs/7/contrib/features/features-drush

e https://www.drupal.org/docs/7/modules/features/installing-enabling-and-disabling-bundled-features

With drush downloading and enabling a feature should work like this:

drush pm-download <feature-url>
drush enable <feature-—-name>

#23 - 06/18/2020 01:31 PM - Andreas Kohlbecker
- File wysiwyg_editing-7.x-1.0-betal.tar added

attaching a test feature which has been created from http:/edit.test/d7/phycobank/admin/structure/features/create

Files

wysiwyg_editing-7.x-1.0-betal.tar 9.5 KB 06/18/2020 Andreas Kohlbecker
